DEVICE_DELETE_CHILD(9)

NAME
device_delete_child - delete a child from a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
device_delete_child(device_t dev, device_t child);

DESCRIPTION
The specified device is removed from dev and deleted. If the device is currently attached, it is first detached (see DEVICE_ATTACH(9) and DEVICE_DETACH(9)).

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
device_add_child(9)

AUTHORS
This manual page was written by Doug Rabson.